Sandboxes
List Sandboxes
Retrieve a list of all sandboxes in your organization
GET
Retrieves a list of all sandboxes for the authenticated organization with optional filtering.
Headers
string
Use with JWT to specify the organization ID
Query Parameters
boolean
Include verbose output with additional sandbox detailsDefault:
falsestring
JSON encoded labels to filter byExample:
{"label1": "value1", "label2": "value2"}boolean
Include errored and deleted sandboxes in the resultsDefault:
falseResponse
Returns an array of sandbox objects.string
The unique identifier of the sandbox
string
The organization ID of the sandbox
string
The name of the sandbox
string
The snapshot used for the sandbox
string
The user associated with the sandbox
object
Environment variables for the sandbox
object
Labels for the sandbox
boolean
Whether the sandbox HTTP preview is public
boolean
Whether all network access is blocked
string
Comma-separated list of allowed CIDR network addresses
string
The target environment for the sandbox
number
The CPU quota for the sandbox
number
The GPU quota for the sandbox
number
The memory quota for the sandbox in GB
number
The disk quota for the sandbox in GB
string
The current state of the sandbox
string
The desired state of the sandbox
string
The error reason if the sandbox is in an error state
boolean
Whether the sandbox error is recoverable
string
The state of the backupOptions:
None, Pending, InProgress, Completed, Errorstring
The creation timestamp of the last backup
number
Auto-stop interval in minutes
number
Auto-archive interval in minutes
number
Auto-delete interval in minutes
array
Array of volumes attached to the sandbox
string
The creation timestamp of the sandbox
string
The last update timestamp of the sandbox
string
The version of the daemon running in the sandbox
string
The runner ID of the sandbox